---
title: Delete a sending subdomain
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/typescript)

[Email Sending](https://developers.cloudflare.com/api/typescript/resources/email_sending)

[Subdomains](https://developers.cloudflare.com/api/typescript/resources/email_sending/subresources/subdomains)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Delete a sending subdomain

client.emailSending.subdomains.delete(stringsubdomainID, SubdomainDeleteParams {zone\_id } params, RequestOptionsoptions?): [SubdomainDeleteResponse](<https://developers.cloudflare.com/api/typescript/resources/email_sending#(resource)%20email_sending.subdomains%20%3E%20(model)%20subdomain_delete_response%20%3E%20(schema)>) {errors, messages, success }

DELETE/zones/{zone\_id}/email/sending/subdomains/{subdomain\_id}

Disables sending on a subdomain and removes its DNS records. If routing is still active on the subdomain, only sending is disabled.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### ParametersExpand Collapse

subdomainID: string

Sending subdomain identifier.

maxLength32

[Link to this property](<#(resource)%20email_sending.subdomains%20%3E%20(method)%20delete%20%3E%20(params)%20default%20%3E%20(param)%20subdomain_id%20%3E%20(schema)>)

<details>

<summary>

params: SubdomainDeleteParams {zone\_id }

</summary>

zone\_id: string

Identifier.

maxLength32

<a href="#(resource)%20email_sending.subdomains%20%3E%20(method)%20delete%20%3E%20(params)%20default%20%3E%20(param)%20zone_id">Link to this property</a>

</details>

[Link to this property](<#(resource)%20email_sending.subdomains%20%3E%20(method)%20delete%20%3E%20(params)%20default>)

##### ReturnsExpand Collapse

<details>

<summary>

SubdomainDeleteResponse {errors, messages, success }

</summary>

<details>

<summary>

errors: Array&lt;Error&gt;

</summary>

code: number

minimum1000

<a href="#(resource)%20email_sending.subdomains%20%3E%20(model)%20subdomain_delete_response%20%3E%20(schema)%20%3E%20(property)%20errors%20%3E%20(items)%20%3E%20(property)%20code">Link to this property</a>

message: string

<a href="#(resource)%20email_sending.subdomains%20%3E%20(model)%20subdomain_delete_response%20%3E%20(schema)%20%3E%20(property)%20errors%20%3E%20(items)%20%3E%20(property)%20message">Link to this property</a>

documentation\_url?: string

<a href="#(resource)%20email_sending.subdomains%20%3E%20(model)%20subdomain_delete_response%20%3E%20(schema)%20%3E%20(property)%20errors%20%3E%20(items)%20%3E%20(property)%20documentation_url">Link to this property</a>

<details>

<summary>

source?: Source {pointer }

</summary>

pointer?: string

<a href="#(resource)%20email_sending.subdomains%20%3E%20(model)%20subdomain_delete_response%20%3E%20(schema)%20%3E%20(property)%20errors%20%3E%20(items)%20%3E%20(property)%20source%20%3E%20(property)%20pointer">Link to this property</a>

</details>

<a href="#(resource)%20email_sending.subdomains%20%3E%20(model)%20subdomain_delete_response%20%3E%20(schema)%20%3E%20(property)%20errors%20%3E%20(items)%20%3E%20(property)%20source">Link to this property</a>

</details>

<a href="#(resource)%20email_sending.subdomains%20%3E%20(model)%20subdomain_delete_response%20%3E%20(schema)%20%3E%20(property)%20errors">Link to this property</a>

<details>

<summary>

messages: Array&lt;Message&gt;

</summary>

code: number

minimum1000

<a href="#(resource)%20email_sending.subdomains%20%3E%20(model)%20subdomain_delete_response%20%3E%20(schema)%20%3E%20(property)%20messages%20%3E%20(items)%20%3E%20(property)%20code">Link to this property</a>

message: string

<a href="#(resource)%20email_sending.subdomains%20%3E%20(model)%20subdomain_delete_response%20%3E%20(schema)%20%3E%20(property)%20messages%20%3E%20(items)%20%3E%20(property)%20message">Link to this property</a>

documentation\_url?: string

<a href="#(resource)%20email_sending.subdomains%20%3E%20(model)%20subdomain_delete_response%20%3E%20(schema)%20%3E%20(property)%20messages%20%3E%20(items)%20%3E%20(property)%20documentation_url">Link to this property</a>

<details>

<summary>

source?: Source {pointer }

</summary>

pointer?: string

<a href="#(resource)%20email_sending.subdomains%20%3E%20(model)%20subdomain_delete_response%20%3E%20(schema)%20%3E%20(property)%20messages%20%3E%20(items)%20%3E%20(property)%20source%20%3E%20(property)%20pointer">Link to this property</a>

</details>

<a href="#(resource)%20email_sending.subdomains%20%3E%20(model)%20subdomain_delete_response%20%3E%20(schema)%20%3E%20(property)%20messages%20%3E%20(items)%20%3E%20(property)%20source">Link to this property</a>

</details>

<a href="#(resource)%20email_sending.subdomains%20%3E%20(model)%20subdomain_delete_response%20%3E%20(schema)%20%3E%20(property)%20messages">Link to this property</a>

success: true

Whether the API call was successful.

<a href="#(resource)%20email_sending.subdomains%20%3E%20(model)%20subdomain_delete_response%20%3E%20(schema)%20%3E%20(property)%20success">Link to this property</a>

</details>

[Link to this property](<#(resource)%20email_sending.subdomains%20%3E%20(model)%20subdomain_delete_response%20%3E%20(schema)>)

### Delete a sending subdomain

TypeScript

HTTPTypeScriptPythonGoTerraform

```
import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const subdomain = await client.emailSending.subdomains.delete('aabbccdd11223344aabbccdd11223344', {
  zone_id: '023e105f4ecef8ad9ca31a8372d0c353',
});

console.log(subdomain.errors);
```

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true
}
```